.\" $NetBSD: lpt.4,v 1.1 2003/04/17 10:16:14 wiz Exp $
.\"
.\" Copyright (c) 1995 Mark Brinicombe
.\" Copyright (c) 1993 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Christopher G. Demetriou.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 29, 1995
.Dt LPT 4 acorn32
.Os
.Sh NAME
.Nm lpt
.Nd parallel port driver
.Sh SYNOPSIS
.Cd lpt* at pioc? offset 0x0278 irq 0
.Cd lpt* at pioc? offset 0x0378 irq -1
.Cd lpt* at pioc? offset 0x03bc irq -1
.Sh DESCRIPTION
This driver provides access to parallel ports.  The highest bit in the minor
number selects whether to do polling or wait for interrupts.  If no IRQ is
specified in the kernel configuration, only the polling device may be used.
.Sh FILES
.Bl -tag -width Pa -compact
.It Pa /dev/lpt0
first interrupt-driven parallel port device
.It Pa /dev/lpa0
first polled parallel port device
.El
